%define debug_package %{nil}

Summary:	Read and process Windows Event Files

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		grokevt
Version:	0.5.0
Release:	2%{?dist}
URL:		http://projects.sentinelchicken.org/grokevt/

License:	GPL
Group:		Applications/Forensics Tools

Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-001
BuildRoot:	%{buildroot}
BuildRequires:	python2
BuildRequires:	python2-rpm-macros

%description
GrokEVT is a collection of scripts built for reading Windows NT event
log files. GrokEVT is released under the GNU GPL, and is implemented
in Python. GrokEVT is loosely based on the PHP script and documentation
provided by Jamie French.

Currently the scripts work together on one or more mounted Windows
partitions to extract all information needed (registry entries, message
templates, and log files) to convert the logs to a human-readable format.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%{__make} 

%install
%{__make} install PREFIX=%{buildroot}%{_prefix} MAN_PREFIX=%{buildroot}%{_prefix}/share/man ETC_PREFIX=%{buildroot}%{_prefix}/etc/%{name}
python2 grokevt-distutils.py install --root="%{buildroot}" --prefix="%{_prefix}"

################################################################################################################
# Fix the Shebang problem for Python2 executables
################################################################################################################
for s in %{buildroot}%{_bindir}/*
do
	file $s | grep -q -i 'python script' && sed --in-place '1s=python[^2]*=python2=' $s
done

%clean
# %{__rm} -rf %{buildroot}

%files
%{_docdir}/%{name}/*
%{_mandir}/man1/*
%{_mandir}/man7/*
/usr%{_sysconfdir}/%{name}/systems/example/*
%{_bindir}/%{name}-*
%{python2_sitelib}/%{name}*

%changelog
* Wed Jun 22 2011 Lawrence Rogers <lrr@cert.org> 0.5.0-2
* Release 0.5.0-2
	Man pages incorrectly formatted

* Mon Jun 20 2011 Lawrence Rogers <lrr@cert.org> 0.5.0-1
* Release 0.5.0-1
	This is a major code refresh release to catch up with the times. Changes include:
		Redesigned grokevt-builddb to use RegLookup's pyregfi library instead of executing the command line tools
		Added work-around for the fact that many Linux distributions no longer make case-insensitive filesystem mounts easy
		Support for Python 3
		Changed license to GPLv3
		Various unicode and other bug fixes
